declare const _default: {
    name: string;
    props: {
        inverse: BooleanConstructor;
        total: {
            type: NumberConstructor;
            default: number;
        };
        select: {
            type: ArrayConstructor;
            default: () => never[];
        };
        config: {
            type: ObjectConstructor;
            default: () => {};
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
